# Uses of Class
org.apache.lucene.analysis.pattern.PatternTokenizer

Packages that use PatternTokenizer
Package
Description
org.apache.lucene.analysis.pattern
Set of components for pattern-based (regex) analysis.

- ## Uses of PatternTokenizer in org.apache.lucene.analysis.pattern

  Methods in org.apache.lucene.analysis.pattern that return PatternTokenizer
  Modifier and Type
  Method
  Description
  `PatternTokenizer`
  PatternTokenizerFactory.`create(AttributeFactory factory)`
  Split the input using configured pattern